Bug 468981 - non-standard-dir-in-usr - /usr/i686-pc-mingw32 is now a valid path
non-standard-dir-in-usr - /usr/i686-pc-mingw32 is now a valid path
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 07:05 EDT by Richard W.M. Jones
Modified: 2009-09-09 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 11:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-29 07:05:10 EDT
The MinGW packaging guidelines were approved recently.

http://fedoraproject.org/wiki/Packaging/MinGW

/usr/i686-pc-mingw32 is an acceptable path for installing
MinGW packages in Fedora.  (Yes, it's horrible, non-FSB
compliant, and no one really likes it, but it's a hard
requirement for gcc cross-compilers that we aren't in a
position to change).

rpmlint gives this warning:

mingw32-filesystem.noarch: W: non-standard-dir-in-usr i686-pc-mingw32

If rpmlint is running in Fedora and the package name begins
with 'mingw32-', then this warning is now wrong.

(See also: bug 467260)
Comment 1 Bug Zapper 2008-11-25 23:24:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard W.M. Jones 2009-09-09 11:40:16 EDT
Closing - rpmlint no longer reports this as a problem.

Note You need to log in before you can comment on or make changes to this bug.